Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath
Interface XPathVisitable

All Known Implementing Classes:
  Expression

public interface XPathVisitable

A class that implements this interface will call a XPathVisitor for itself and members within it's heararchy. If the XPathVisitor's method returns false, the sub-member heararchy will not be traversed.

Method Summary
`void` | `callVisitors(ExpressionOwner owner, XPathVisitor visitor)` This will traverse the heararchy, calling the visitor for each member.

Method Detail

### callVisitors

    public void callVisitors(ExpressionOwner owner,
                             XPathVisitor visitor)

  This will traverse the heararchy, calling the visitor for each member. If the called visitor method returns false, the subtree should not be called.

  Parameters:
    `owner` - The owner of the visitor, where that path may be rewritten if needed.
    `visitor` - The visitor whose appropriate method will be called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.